static t_class *wiibuttons_class;

typedef struct _wiibuttons {
	t_object x_obj;

// to hold the button status
	t_int b_lcross;
	t_int b_rcross;
	t_int b_dcross;
	t_int b_ucross;
	t_int b_a;
	t_int b_minus;
	t_int b_home;
	t_int b_plus;
	t_int b_one;
	t_int b_two;
	t_int b_back;

// struct has to know which outlets are created
	t_int lcross_exists;
	t_int rcross_exists;
	t_int dcross_exists;
	t_int ucross_exists;
	t_int a_exists;
	t_int minus_exists;
	t_int home_exists;
	t_int plus_exists;
	t_int one_exists;
	t_int two_exists;
	t_int back_exists;

// possible outlets
	t_outlet *outlet_lcross;
	t_outlet *outlet_rcross;
	t_outlet *outlet_dcross;
	t_outlet *outlet_ucross;
	t_outlet *outlet_a;
	t_outlet *outlet_minus;
	t_outlet *outlet_home;
	t_outlet *outlet_plus;
	t_outlet *outlet_one;
	t_outlet *outlet_two;
	t_outlet *outlet_back;
} t_wiibuttons;

//setup functions

void *wiibuttons_new(t_symbol *s, int argc, t_atom *argv);
void wiibuttons_setup(void);
