static t_class *wiiAcc_class;

typedef struct _wiiAcc {
	t_object x_obj;

// type of output
	t_int raw, roll, pitch, total, horizontal, vertical;

// some database to speed up calculations
	t_float x, y, z;
	t_float pitch_value, roll_value, total_value;
	t_float horizontal_value, vertical_value;

// possible outlets
	t_outlet *outlet_x;
	t_outlet *outlet_y;
	t_outlet *outlet_z;

// pitch rescale
	t_float rescale;
	t_int do_rescale;

// trigger value for output
	t_float trigger;
	t_float previous_pitch;
	t_float previous_roll;
	t_float previous_horizontal;
	t_float previous_vertical;
	t_float count_median;
	GArray *median;
		
// temp
	t_float highest, lowest;
	
} t_wiiAcc;

//setup functions

void *wiiAcc_new(t_symbol *s, int argc, t_atom *argv);
void wiiAcc_setup(void);
